# $Revision: 1.45 $, $Date: 2009/11/11 04:51:26 $
%define		_snap_date	20091108
%define		_snap_id	5568

Summary:	C compiler for Intel 8051 and Zilog Z80
Summary(pl.UTF-8):	Kompilator C dla Intel 8051 i Zilog Z80
Name:		sdcc
Version:	2.9.4
Release:	0.%{_snap_date}.1
License:	GPL
Group:		Development/Languages
Source0:	http://sdcc.sourceforge.net/snapshots/sdcc-src/%{name}-src-%{_snap_date}-%{_snap_id}.tar.bz2
# Source0-md5:	b24853361b5276f401a10d936199f669
Patch0:		%{name}-mcs51-pcall.patch
Patch1:		%{name}-mcs51-stack-probe.patch
Patch2:		%{name}-gstabs.patch
Patch3:		%{name}-as-build.patch
URL:		http://sdcc.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gc-devel
BuildRequires:	gputils
BuildRequires:	latex2html
BuildRequires:	libstdc++-devel
BuildRequires:	lyx >= 1.4.4
BuildRequires:	texlive-fonts-cmsuper
BuildRequires:	texlive-fonts-type1-urw
BuildRequires:	texlive-format-pdflatex
BuildRequires:	texlive-latex-ams
BuildRequires:	texlive-makeindex
BuildRequires:	texlive-tex-babel
Obsoletes:	ucsim
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautostrip    .*sdcc.lib.*\\.\\(lib\\|a\\)

%description
SDCC is retargettable, optimizing ANSI - C compiler. The current
version targets the Intel 8051 and recently the Zilog Z80 based MCUs.
SDCC can be retargeted for other 8 bit MCUs or PICs and some day soon
will be. Supported data types are short (8 bits, 1 byte), char (8
bits, 1 byte) , int (16 bits, 2 bytes ), long (32 bit, 4 bytes) and
float (4 byte IEEE). SDCC also comes with the source level debugger
SDCDB.

%description -l pl.UTF-8
SDCC jest kompilatorem ANSI C. Aktualna wersja wspiera procesory Intel
8051 oraz Zilog Z80. SDCC może być łatwo zmodyfikowany by wspierać
inne 8 bitowe jednostki. Wspierane typy danych to short (8 bitów, 1
bajt), char (8 bitów, 1 bajt), int (16 bitów, 2 bajty), long (32 bity,
4 bajty) oraz float (4 bajty IEEE). SDCC dostarcza również debugger
oparty na emulatorze ucsim.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
find -type f -name 'configure.??' | while read FILE; do
	cd $(dirname "$FILE")
	%{__autoconf}
	cd -
done

%configure \
	--enable-doc \
	--enable-libgc \
	--enable-ucsim \
	--enable-xa \
	--enable-serio \
	--enable-statistic

%{__make} -j1

cd device/lib
%{__make} -j1 model-mcs51-stack-auto
%{__make} -j1 model-mcs51-xstack-auto
cd -

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp

%{__make} install \
	"DESTDIR=$RPM_BUILD_ROOT" \
	"docdir=%{_docdir}/%{name}-%{version}" \
	"STRIP=/bin/true"

# some cleanups in mess generated by make install
#find $RPM_BUILD_ROOT -name "CVS" -type d | xargs rm -r
#mv $RPM_BUILD_ROOT%{_bindir}/*.el $RPM_BUILD_ROOT%{_libdir}/emacs/site-lisp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_docdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
#%{_libdir}/emacs/site-lisp/*.el

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sdcc.spec,v $
Revision 1.45  2009/11/11 04:51:26  kosmo
- updated to 2.9.4 (snap 20091108)
- fixed build on SMP machines.

Revision 1.44  2009/06/16 08:34:12  kosmo
- updated BRs,
- fixed build on SMP machines.

Revision 1.43  2009/06/09 20:25:32  kosmo
- updated to 2.9.1 (snap 20090609).

Revision 1.42  2009/03/15 21:36:30  kosmo
- updated to 2.9.0 (snap 20090314)

Revision 1.41  2009/02/24 10:29:18  arekm
- rel .5

Revision 1.40  2008/11/06 11:42:56  kosmo
- allow function call via pointer on MCS51
- rel 4

Revision 1.39  2008/11/02 18:40:31  wrobell
- include PIC library support (thanks to gputils)
- rel. 3

Revision 1.38  2008/11/02 02:12:39  wrobell
- rel. 2

Revision 1.37  2008/11/02 02:05:24  wrobell
- apply the 2nd patch

Revision 1.36  2008/11/02 01:42:21  wrobell
- fixed debug build

Revision 1.35  2008/10/23 09:54:37  kosmo
- updated to 20081020

Revision 1.34  2008/05/13 21:46:22  kosmo
- updated to 2.8.1 (snap. 20080513)

Revision 1.33  2008-02-25 20:03:28  kosmo
- updated to 20080224
- version 2.7.5

Revision 1.32  2008-01-16 20:38:53  kosmo
- updated to 20080113

Revision 1.31  2007-10-14 09:16:23  kosmo
- updated to 2.7.4 (snap. 20071013)

Revision 1.30  2007/07/14 10:53:31  kosmo
-updated to 2.7.2 (snap 20070713)

Revision 1.29  2007/05/10 16:56:34  kosmo
- updated to 20070510

Revision 1.28  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.26  2006/08/18 07:50:21  kosmo
- updated to 2.6.1 (snap 20060817)

Revision 1.25  2006/05/27 18:27:29  kosmo
- updated to 20060517

Revision 1.24  2005/06/03 07:05:35  kosmo
- updated to 2.5.1 (snap 20050601)

Revision 1.23  2005/05/09 18:02:09  bszx
- refresh config.* for pentium4 (and amd64 probably too)

Revision 1.22  2005/04/06 15:39:34  kosmo
- updated to snap 20050330, STBR to AC please.

Revision 1.21  2005/02/18 19:22:08  qboosh
- wrrr, unreadable URL fixed

Revision 1.20  2005/02/16 16:38:35  kosmo
- updated to 2.4.8 (snap)

Revision 1.19  2004/10/29 11:25:26  ankry
- better pl

Revision 1.18  2004/10/29 10:32:32  qboosh
- typo

Revision 1.17  2004/10/29 10:29:13  paladine
- spelling fixes

Revision 1.16  2004/04/20 03:42:10  agaran
- updated to 2.4.0, rel 0.1, nfy
- autoconf patch commented, no .el files for emacs in package

Revision 1.15  2003/11/11 11:24:10  qboosh
- BR: autoconf

Revision 1.14  2003/05/28 13:01:49  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:26:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/08 14:12:08  qboosh
- killed subshell

Revision 1.11  2003/04/08 14:07:28  qboosh
- use http for sources from sourceforge

Revision 1.10  2002/12/02 11:06:27  ankry
- massive cleaning

Revision 1.9  2002/07/27 23:02:54  kloczek
- cosmetics.

Revision 1.8  2002/07/23 19:31:13  marcus
- use new %%doc
- rel.2.

Revision 1.7  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/01 13:06:43  ankry
- replaced source URL by a working one. It seems that http: URLs in
  sourceforge change too often

Revision 1.3  2001/12/01 11:35:08  jajcus
- spec finished
- Version: 2.3.0

Revision 1.2  2001/03/30 12:43:40  misiek
descriptions and nothing more

Revision 1.1  2001/03/29 23:32:00  agaran
Initial, dont build properly (tested for now only on sparc), no %files section
no %description , no group, translation and in fact that is totally unfinished
